<template>
  <h4
    class="card-title mt-5"
    :class="$i18n.locale == 'ar' ? 'font-size-15' : 'txt-left'"
  >
    {{ $t("app.sendInvoice") }}
  </h4>
  <div
    class="font-size-14 col-12 mt-5"
    :dir="$i18n.locale == 'ar' ? 'rtl' : 'rtl'"
    :style="$i18n.locale == 'ar' ? '' : 'text-align: left'"
  >
    <div class="col-12 form-check mb-3">
      <input
        class="form-check-input"
        type="radio"
        name="formRadios"
        id="formRadios1"
        value="1"
        :checked="row.sendInvoice == 1 ? true : false"
        v-on:input="onRadioChange(1)"
      />
      <label
        class="form-check-label"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
        for="formRadios1"
      >
        {{ $t("app.sendEmail") }}
      </label>

      <input
        class="form-check-input"
        type="radio"
        name="formRadios"
        id="formRadios2"
        style="margin-right: 12px"
        value="2"
        :checked="row.sendInvoice == 2 ? true : false"
        v-on:input="onRadioChange(2)"
      />
      <label
        class="form-check-label"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
        for="formRadios2"
        style="margin-right: 40px"
      >
        {{ $t("app.sendSms") }}
      </label>

      <input
        class="form-check-input"
        type="radio"
        name="formRadios"
        id="formRadios3"
        style="margin-right: 12px"
        value="3"
        :checked="row.sendInvoice == 3 ? true : false"
        v-on:input="onRadioChange(3)"
      />
      <label
        class="form-check-label"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
        for="formRadios3"
        style="margin-right: 40px"
      >
        {{ $t("app.twice") }}
      </label>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "CardInvoiceSocial",
  props: ["sendInvoice"],
  data() {
    return {
      row: {
        sendInvoice: this.$props.sendInvoice ?? false,
      },
    };
  },
  methods: {
    onSendInvoiceChange() {
      const data = {
        sendInvoice: this.row.sendInvoice,
      };
      this.$emit("sendInvoiceChange", data);
    },

    onRadioChange(value) {
      this.row.sendInvoice = value;
      this.onSendInvoiceChange();
    },
  },
});
</script>
